Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class AliasDefHelper

    java.lang.Object
      |
      +--org.omg.CORBA.AliasDefHelper

public class AliasDefHelper
extends java.lang.Object

Helper class for : AliasDef

Author:
  OpenORB Compiler

Constructor Summary
`AliasDefHelper()`

Method Summary
`static AliasDef` | `extract(Any a)` Extract AliasDef from an any
`static java.lang.String` | `id()` Return the AliasDef IDL ID
`static void` | `insert(Any a, AliasDef t)` Insert AliasDef into an any
`static AliasDef` | `narrow(Object obj)` Narrow CORBA::Object to AliasDef
`static AliasDef` | `read(InputStream istream)` Read AliasDef from a marshalled stream
`static TypeCode` | `type()` Return the AliasDef TypeCode
`static AliasDef` | `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to AliasDef
`static void` | `write(OutputStream ostream, AliasDef value)` Write AliasDef into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AliasDefHelper

    public AliasDefHelper()

Method Detail

### insert

    public static void insert(Any a,
                              AliasDef t)

  Insert AliasDef into an any
  Parameters:
    `a` - an any
    `t` - AliasDef value

### extract

    public static AliasDef extract(Any a)

  Extract AliasDef from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted AliasDef value

### type

    public static TypeCode type()

  Return the AliasDef TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the AliasDef IDL ID
  Returns:
    an ID

### read

    public static AliasDef read(InputStream istream)

  Read AliasDef from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed AliasDef value

### write

    public static void write(OutputStream ostream,
                             AliasDef value)

  Write AliasDef into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - AliasDef value

### narrow

    public static AliasDef narrow(Object obj)

  Narrow CORBA::Object to AliasDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    AliasDef Object

### unchecked_narrow

    public static AliasDef unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to AliasDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    AliasDef Object

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD